Announcement

Collapse
No announcement yet.

Multiple APK's Google Play

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Multiple APK's Google Play

    Hello,

    I was wondering how this concept works with Unreal Engine 4. As all the information I could find doesn't seem to apply to building APK's in Google Play.

    Any help would be appreciated.

    I have an ETC1 version
    And a ATC version

    Kind regards,

    Penhoat

    #2
    you just have a version no and google play puts your newest version into production through developer console
    https://play.google.com/store/apps/d...m.CrazyRagdoll
    https://play.google.com/store/apps/d...sm.zombieultra
    https://play.google.com/store/apps/d...sm.cubecrawler
    https://play.google.com/store/apps/d...pspasm.turrets

    Comment


      #3
      I want the ETC1 version to work in general.
      However some Snapdragon devices have issues with that version, the ATC version works perfect on those devices.

      So I need the Snapdragon devices to automatically download the ATC version.

      The problem is that both are ARM-7 versions.

      Comment


        #4
        theres docs on how to specify which version is used, the apps i have on google play use all when packaging this seems to allow for the greatest compatibility
        https://play.google.com/store/apps/d...m.CrazyRagdoll
        https://play.google.com/store/apps/d...sm.zombieultra
        https://play.google.com/store/apps/d...sm.cubecrawler
        https://play.google.com/store/apps/d...pspasm.turrets

        Comment


          #5
          The main issue is the Adjustment you have to make on manifests :

          Read here the "Adjust the manifests" section and try to set a different manifest for each APK (ETC1 and ATC)

          Comment


            #6
            Originally posted by carf View Post
            The main issue is the Adjustment you have to make on manifests :

            Read here the "Adjust the manifests" section and try to set a different manifest for each APK (ETC1 and ATC)
            There is no link

            Comment


              #7
              Originally posted by Penhoat View Post
              There is no link
              Sorry http://developer.android.com/trainin...-apks/api.html

              Comment


                #8
                The weird thing is, is when I do what they say. Add the line of code for textures in the androidmanifest.xml:
                <supports-gl-texture android:name="GL_OES_compressed_ETC1_RGB8_texture" />

                It doesn't work with packaging.

                Comment


                  #9
                  I tried to change my manifest for multiple APK a couple weeks ago, and i was getting error in packaging. I think the UE Editor has a bug and don't add the line on manifest in the right place.

                  Comment


                    #10
                    Originally posted by carf View Post
                    I tried to change my manifest for multiple APK a couple weeks ago, and i was getting error in packaging. I think the UE Editor has a bug and don't add the line on manifest in the right place.
                    I was fooling around again. Packaging it as "All" worked now and pretty much solved most of the compatibility issues. The game doesn't work on every phone and tablet (especially older ones), but it works on most. So I'm satisfied for now

                    Comment


                      #11
                      Also using 4.11 seems to increase compatibility if you are not already, i released one game back in preview 3 of 4.11 and it seems to scale well across various devices compared to earlier engine versions, hopefully when 4.11 is released performance/compatability will be even better
                      https://play.google.com/store/apps/d...m.CrazyRagdoll
                      https://play.google.com/store/apps/d...sm.zombieultra
                      https://play.google.com/store/apps/d...sm.cubecrawler
                      https://play.google.com/store/apps/d...pspasm.turrets

                      Comment


                        #12
                        Originally posted by WarpSpasm View Post
                        Also using 4.11 seems to increase compatibility if you are not already, i released one game back in preview 3 of 4.11 and it seems to scale well across various devices compared to earlier engine versions, hopefully when 4.11 is released performance/compatability will be even better
                        Sounds great! Considering previous experiences with beta versions I'll hold off until it's normally released. Sounds good though!

                        Comment

                        Working...
                        X